(* tests on simplification
   author: Walther Neuper
   061019
   (c) due to copyright terms

use"../smltest/IsacKnowledge/simplify.sml";
use"simplify.sml";
*)
val thy = Simplify.thy;

"-----------------------------------------------------------------";
"table of contents -----------------------------------------------";
"-----------------------------------------------------------------";
"----------- CAS-command Simplify --------------------------------";
"----------- append inform with final result ---------------------";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";



"----------- CAS-command Simplify --------------------------------";
"----------- CAS-command Simplify --------------------------------";
"----------- CAS-command Simplify --------------------------------";
states:=[];
CalcTree [([], ("e_domID", ["e_pblID"], ["e_metID"]))];
Iterator 1;
moveActiveRoot 1;
replaceFormula 1 "Simplify (2*a + 3*a)";
autoCalculate 1 (Step 1);
autoCalculate 1 CompleteCalc;
val ((pt,p),_) = get_calc 1;
val Form res = (#1 o pt_extract) (pt, ([],Res));
show_pt pt;
if p = ([], Res) andalso term2str res = "5 * a" then ()
else raise error "simplify.sml: diff.behav. CAScmd: Simplify (2*a + 3*a)";


"----------- append inform with final result ---------------------";
"----------- append inform with final result ---------------------";
"----------- append inform with final result ---------------------";
states:=[];
CalcTree [(["term ((14 * x * y) / ( x * y ))", "normalform N"],
	   ("Rational.thy",["rational","simplification"],
	    ["simplification","of_rationals"]))];
Iterator 1;
moveActiveRoot 1;
autoCalculate 1 CompleteCalcHead;
autoCalculate 1 (Step 1);
appendFormula 1 "14";
val ((pt,p),_) = get_calc 1; show_pt pt;

autoCalculate 1 (Step 1);
val ((pt,p),_) = get_calc 1; show_pt pt;
val Form res = (#1 o pt_extract) (pt, ([],Res));
if p = ([], Res) andalso term2str res = "14" then ()
else raise error "simplify.sml: append inform with final result ?!?";
